//
//  code.m
//  Advanced Preferences
//
//  Created by Alex Nichol on 12/24/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "code.h"


@implementation code
- (IBAction)dock2d:(id)sender {
	system("/usr/bin/defaults write com.apple.dock no-glass -boolean YES");
	system("/usr/bin/killall Dock");
}
- (IBAction)dock3d:(id)sender {
	system("/usr/bin/defaults write com.apple.dock no-glass -boolean NO");
	system("/usr/bin/killall Dock");
}
- (IBAction)quitfinder:(id)sender {
	system("/usr/bin/defaults write com.apple.finder QuitMenuItem -bool YES");
	system("/usr/bin/killall Finder");
}
- (IBAction)unquitfinder:(id)sender {
	system("/usr/bin/defaults write com.apple.finder QuitMenuItem -bool NO");
	system("/usr/bin/killall Finder");
}
- (IBAction)grad:(id)sender {
	system("/usr/bin/defaults write com.apple.dock mouse-over-hilte-stack -boolean YES");
	system("/usr/bin/killall Dock");
}
- (IBAction)ungrad:(id)sender {
	system("/usr/bin/defaults write com.apple.dock mouse-over-hilte-stack -boolean NO");
	system("/usr/bin/killall Dock");
}
- (IBAction)hidden:(id)sender {
	system("/usr/bin/defaults write com.apple.Dock showhidden -bool YES");
	system("/usr/bin/killall Dock");
}
- (IBAction)unhidden:(id)sender {
	system("/usr/bin/defaults write com.apple.Dock showhidden -bool NO");
	system("/usr/bin/killall Dock");
}
- (IBAction)dash:(id)sender {
	system("/usr/bin/defaults write com.apple.dashboard devmode YES");
	system("/usr/bin/killall Dock");
}
- (IBAction)undash:(id)sender {
	system("/usr/bin/defaults write com.apple.dashboard devmode NO");
	system("/usr/bin/killall Dock");
}
- (IBAction)zoom100:(id)sender {
	system("/usr/bin/defaults write com.apple.dock largesize -int 100");
	system("/usr/bin/killall Dock");
}
- (IBAction)zoom150:(id)sender {
	system("/usr/bin/defaults write com.apple.dock largesize -int 150");
	system("/usr/bin/killall Dock");
}
- (IBAction)zoom200:(id)sender {
	system("/usr/bin/defaults write com.apple.dock largesize -int 200");
	system("/usr/bin/killall Dock");
}
- (IBAction)zoom250:(id)sender {
	system("/usr/bin/defaults write com.apple.dock largesize -int 250");
	system("/usr/bin/killall Dock");
}
- (IBAction)zoom300:(id)sender {
	system("/usr/bin/defaults write com.apple.dock largesize -int 300");
	system("/usr/bin/killall Dock");
}
- (IBAction)zoom350:(id)sender {
	system("/usr/bin/defaults write com.apple.dock largesize -int 350");
	system("/usr/bin/killall Dock");
}
- (IBAction)zoom400:(id)sender {
	system("/usr/bin/defaults write com.apple.dock largesize -int 400");
	system("/usr/bin/killall Dock");
}
- (IBAction)zoom450:(id)sender {
	system("/usr/bin/defaults write com.apple.dock largesize -int 450");
	system("/usr/bin/killall Dock");
}
- (IBAction)zoom500:(id)sender {
	system("/usr/bin/defaults write com.apple.dock largesize -int 500");
	system("/usr/bin/killall Dock");
}
- (IBAction)zoom0:(id)sender {
	system("/usr/bin/defaults write com.apple.dock largesize -int 1");
	system("/usr/bin/killall Dock");
}
@end
